PETSc version 3.15.5
Fix/Edit manual page

# DMPlexGetAdjacencyUser

get the user-defined adjacency callback

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAdjacencyUser(DM dm, PetscErrorCode (**user)(DM,PetscInt,PetscInt*,PetscInt[],void*), void **ctx)

### Input Parameter

| dm | - The DM object

### Output Parameters

| user | - The user callback

| ctx | - context for callback evaluation

### See Also

DMSetAdjacency(), DMPlexDistribute(), DMPlexPreallocateOperator(), DMPlexGetAdjacency(), DMPlexSetAdjacencyUser()

### Level

advanced

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages